# Change log

## Version 0.2.1 - Fix and improvements (2019/xx/xx)

### Issues Closed

#### New Features

* [#4](https://github.com/SamR1/Fittrackee/issues/4) - Show points on the map when mouse over the chart
* [#14](https://github.com/SamR1/Fittrackee/issues/14) - Display segments informations
* [#21](https://github.com/SamR1/Fittrackee/issues/21) - Document the API
* [#23](https://github.com/SamR1/Fittrackee/issues/23) - The user can choose the first day of the week
* [#36](https://github.com/SamR1/Fittrackee/issues/36) - Disable user registration
* [#33](https://github.com/SamR1/Fittrackee/issues/33) - Add file size limit on file upload
* [#37](https://github.com/SamR1/Fittrackee/issues/37) - Display map on activities list

#### Bugs Fixed

* [#34](https://github.com/SamR1/Fittrackee/issues/34) - Weather is not displayed anymore 

### Misc

* **[Poetry](https://poetry.eustace.io/)** replaces **[pipenv](https://docs.pipenv.org)** for Python packages management

In this release 8 issue were closed.


## Version 0.2.0 - Statistics (2019/07/07)

### Issues Closed

#### New Features

* [#13](https://github.com/SamR1/Fittrackee/issues/13) - Detailed statistics

### Misc

* Update dependencies

In this release 1 issue was closed.


## Version 0.1.1 - Fix and improvements (2019/02/07)

### Issues Closed

#### New Features

* [#25](https://github.com/SamR1/FitTrackee/issues/25) - Display records on calendar
* [#22](https://github.com/SamR1/FitTrackee/issues/22) - Add a total on current month statistics

#### Bugs Fixed

* [#31](https://github.com/SamR1/FitTrackee/issues/31) - Use moving duration for stats
* [#29](https://github.com/SamR1/FitTrackee/issues/29) - Pause duration calculation with segments
* [#28](https://github.com/SamR1/FitTrackee/issues/28) - Error on uploading gpx file
* [#26](https://github.com/SamR1/FitTrackee/issues/26) - Total is incorrect in tooltip when duration is displayed
* [#24](https://github.com/SamR1/FitTrackee/issues/24) - Some distances are not displayed correctly on current month statistics

In this release 7 issues were closed.


## Version 0.1.0 - First release 🎉 (2018-07-04)

**Features:**
- Account creation (only standard user, not admin)
- 6 sports supported:
   - Cycling (Sport)
   - Cycling (Transport)
   - Hiking
   - Montain Biking
   - Running
   - Walking 
- Activity creation by uploading a gpx file. An activity can even be created without gpx (the user must enter date, time, duration and distance)
- Activity edition and deletion
- An activity can be displayed with map (if with gpx), weather (if the DarkSky API key is provided) and charts (speed and elevation)
- A user can add a note
- Month calendar with activities
- Current month statistics
- Records by sports:
   - average speed
   - farest distance
   - longest duration
   - maximum speed
- Activities list and search


**Notes:**
- only activity owner can see his activity
- no administration for now

➡️ more informations: see [wiki](https://github.com/SamR1/mpwo/wiki)  and [current issues](https://github.com/SamR1/mpwo/issues)


### Issues Closed

#### New Features

* [#11](https://github.com/SamR1/FitTrackee/issues/11) - Timezone support
* [#10](https://github.com/SamR1/FitTrackee/issues/10) - Add a note to an activity
* [#9](https://github.com/SamR1/FitTrackee/issues/9) - User statistics on dashboard
* [#8](https://github.com/SamR1/FitTrackee/issues/8) - Add weather to activities
* [#3](https://github.com/SamR1/FitTrackee/issues/3) - Search filter for activities
* [#2](https://github.com/SamR1/FitTrackee/issues/2) - Calendar to view activities

In this release 6 issues were closed.
